Bug 601240 - Intermittent NullPointerException is observed in server log while testing search.
Summary: Intermittent NullPointerException is observed in server log while testing sea...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sunil Kondkar
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint10-bugs jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-07 14:29 UTC by Sunil Kondkar
Modified: 2010-08-12 16:58 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2010-08-12 16:58:50 UTC


Attachments (Terms of Use)
Screenshot. for error message in searchbar (123.48 KB, image/png)
2010-06-07 14:29 UTC, Sunil Kondkar
no flags Details
Screenshot for error message in searchbar (112.30 KB, image/png)
2010-06-08 11:10 UTC, Sunil Kondkar
no flags Details

Description Sunil Kondkar 2010-06-07 14:29:56 UTC
Created attachment 421841 [details]
Screenshot. for error message in searchbar

Description of problem:

Observed the message "Error retrieving suggestions: null, see server log for more details" in searchbar and the serverlog displayed NullPointerException.

Observed the message when i entered a search criteria say type="JBossAS Server" and removed it from searchbar using backspace. Another instance when i clicked in searchbar observed the same message. This is observed intermittently.

Please refer the attached screenshot for error message in searchbar.

Version-Release number of selected component (if applicable):
jon-server-2.4.0.Beta1

How reproducible:
Intermittent

Additional info:

Below are the details in server log:

2010-06-07 19:39:48,699 INFO  [org.rhq.enterprise.server.search.execution.SearchAssistManager] Error retrieving suggestions
java.lang.NullPointerException
        at org.rhq.enterprise.server.search.execution.SearchAssistManager.getUserSavedSearchSuggestions(SearchAssistManager.java:553)
        at org.rhq.enterprise.server.search.execution.SearchAssistManager.getSuggestions(SearchAssistManager.java:368)
        at org.rhq.enterprise.gui.coregui.server.gwt.SearchGWTServiceImpl.getSuggestions(SearchGWTServiceImpl.java:43)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:562)
        at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:188)
        at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:224)
        at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
        at org.rhq.enterprise.gui.coregui.server.gwt.AbstractGWTServiceImpl.service(AbstractGWTServiceImpl.java:61)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:124)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:175)
        at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:182)
        at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:84)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
        at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:157)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:262)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:446)
        at java.lang.Thread.run(Thread.java:619)

Comment 1 Charles Crouch 2010-06-07 14:41:38 UTC
This needs some investigation after 601189. Right now this should only go into master if a fix is also required for 601189

Comment 2 Sunil Kondkar 2010-06-07 15:04:40 UTC
Additional Info:

There are no saved searches when the exception is observed.

Comment 3 Joseph Marques 2010-06-07 18:05:19 UTC
This error indicates that the subject reference was null.  In theory, if the user is not logged in (subject==null) then they should get the login box.  Did you perhaps walk away from the browser for 15-20 minutes, and then come back and ask for suggestions?  If so, you might have been logged out.

Can you remember any other reproduction steps?

Comment 4 Sunil Kondkar 2010-06-08 11:08:52 UTC
Reproduced this error again with following steps:

1. Login to jon.
2. Navigate to 'Resources->All Resources'.
3. Entered in searchbar: plugin=apache
4. Pressed Enter key.
5. It displayed the search results.
6. Entered space and entered in searchbar:  type=
7. Observed the message in browser: "Error retrieving suggestions: null, see server log for more details" in searchbar.
8. Serverlog displayed NullPointerException.

Please refer the screenshot attached. This error is observed in continued operation with browser.(I was not away from browser). However, this is intermittent. Not reproduced again with the same steps.
 

Below is the stack trace:

2010-06-08 15:48:37,113 INFO  [org.rhq.enterprise.server.search.execution.SearchAssistManager] Error retrieving suggestions
java.lang.NullPointerException
        at org.rhq.enterprise.server.search.execution.SearchAssistManager.getUserSavedSearchSuggestions(SearchAssistManager.java:553)
        at org.rhq.enterprise.server.search.execution.SearchAssistManager.getSuggestions(SearchAssistManager.java:368)
        at org.rhq.enterprise.gui.coregui.server.gwt.SearchGWTServiceImpl.getSuggestions(SearchGWTServiceImpl.java:43)
        at sun.reflect.GeneratedMethodAccessor561.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:562)
        at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:188)
        at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:224)
        at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceServlet.java:62)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
        at org.rhq.enterprise.gui.coregui.server.gwt.AbstractGWTServiceImpl.service(AbstractGWTServiceImpl.java:61)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:290)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.rhq.helpers.rtfilter.filter.RtFilter.doFilter(RtFilter.java:124)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)
        at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
        at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:230)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:175)
        at org.jboss.web.tomcat.security.SecurityAssociationValve.invoke(SecurityAssociationValve.java:182)
        at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:84)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
        at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:157)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:262)
        at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:844)
        at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:583)
        at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:446)
        at java.lang.Thread.run(Thread.java:619)

Comment 5 Sunil Kondkar 2010-06-08 11:10:30 UTC
Created attachment 422142 [details]
Screenshot for error message in searchbar

Comment 6 Joseph Marques 2010-06-24 22:25:49 UTC
commit 5705abb4352b142bfe840c0dc55e6d02d82de761
Author: Joseph Marques <joseph@redhat.com>
Date:   Thu Jun 24 18:22:40 2010 -0400

    BZ-601240: more graceful handling of exceptional conditions when loading SearchSuggestions

Comment 7 Sunil Kondkar 2010-06-29 10:57:27 UTC
Verified on JON 2.4 GA_QA build#43

The NullPointerException is not observed in server log while testing search.

Comment 8 Corey Welton 2010-08-12 16:58:50 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.